%define rel   1

Name: kmousetool
Version: 4.8.2
Release: %mkrel %{rel}
Epoch: 2
Group: Accessibility 
Summary: Automatic Mouse Click
URL: http://www.kde.org/applications/utilities/kmousetool/
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
License: GPLv2 and GFDL
BuildRequires: kdelibs4-devel >= 2:%version
BuildRequires: pkgconfig(xt)

Requires: kdebase4-runtime
Suggests: kmousetool-handbook

%description
KMouseTool is a tool that clicks the mouse for you.

%files
%_kde_bindir/kmousetool
%_kde_datadir/applications/kde4/kmousetool.desktop
%_kde_appsdir/kmousetool
%_kde_iconsdir/hicolor/*/*/kmousetool*

#------------------------------------------------------------------------------

%package -n kmousetool-handbook
Summary: Kmousetool Handbook
Conflicts: kmousetool < 2:4.7.1
BuildArch: noarch
Group: Books/Other
%description -n kmousetool-handbook
This package provides kmousetool handbook and mandir

%files -n kmousetool-handbook
%doc AUTHORS ChangeLog COPYING COPYING.DOC README TODO
%docdir %_kde_docdir/HTML/
%_kde_docdir/HTML/en/kmousetool
%_kde_mandir/man1/kmousetool.1.*

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4 -DKDE4_ENABLE_FINAL=ON
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog

* Wed Apr 04 2012 fwang <fwang> 2:4.8.2-1.mga2
+ Revision: 228488
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 2:4.8.1-1.mga2
+ Revision: 221488
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 2:4.8.0-1.mga2
+ Revision: 198336
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 2:4.7.97-1.mga2
+ Revision: 191088
- Update tarball to kde 4.7.97

* Fri Dec 23 2011 mikala <mikala> 2:4.7.95-1.mga2
+ Revision: 186263
- Update tarball to kde 4.7.95
- fix group

* Wed Dec 14 2011 mikala <mikala> 2:4.7.90-1.mga2
+ Revision: 181460
- imported package kmousetool

